Open CASCADE Technology: TopoDS_TVertex Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions
TopoDS_TVertex Class Reference

A Vertex is a topological point in two or three dimensions. More...

`#include <TopoDS_TVertex.hxx>`

Inheritance diagram for TopoDS_TVertex:
[legend]

## Public Member Functions
TopAbs_ShapeEnum | ShapeType () const
| Returns VERTEX. More...
Public Member Functions inherited from TopoDS_TShape
Standard_Boolean | Free () const
| Returns the free flag. More...
void | Free (const Standard_Boolean F)
| Sets the free flag. More...
Standard_Boolean | Locked () const
| Returns the locked flag. More...
void | Locked (const Standard_Boolean F)
| Sets the locked flag. More...
Standard_Boolean | Modified () const
| Returns the modification flag. More...
void | Modified (const Standard_Boolean M)
| Sets the modification flag. More...
Standard_Boolean | Checked () const
| Returns the checked flag. More...
void | Checked (const Standard_Boolean C)
| Sets the checked flag. More...
Standard_Boolean | Orientable () const
| Returns the orientability flag. More...
void | Orientable (const Standard_Boolean C)
| Sets the orientability flag. More...
Standard_Boolean | Closed () const
| Returns the closedness flag. More...
void | Closed (const Standard_Boolean C)
| Sets the closedness flag. More...
Standard_Boolean | Infinite () const
| Returns the infinity flag. More...
void | Infinite (const Standard_Boolean C)
| Sets the infinity flag. More...
Standard_Boolean | Convex () const
| Returns the convexness flag. More...
void | Convex (const Standard_Boolean C)
| Sets the convexness flag. More...
virtual Handle< TopoDS_TShape > | EmptyCopy () const =0
| Returns a copy of the TShape with no sub-shapes. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Protected Member Functions
| TopoDS_TVertex ()
| Construct a vertex. More...
Protected Member Functions inherited from TopoDS_TShape
| TopoDS_TShape ()
| Constructs an empty TShape. Free : True Modified : True Checked : False Orientable : True Closed : False Infinite : False Convex : False. More...

## Detailed Description

A Vertex is a topological point in two or three dimensions.

## Constructor & Destructor Documentation

TopoDS_TVertex::TopoDS_TVertex | ( |  | ) |
| protected

Construct a vertex.

## Member Function Documentation

TopAbs_ShapeEnum TopoDS_TVertex::ShapeType | ( |  | ) | const
| virtual

Returns VERTEX.

Implements TopoDS_TShape.

The documentation for this class was generated from the following file:

- TopoDS_TVertex.hxx